knit_params_ask {rmarkdown} | R Documentation

## Run a shiny application asking for parameter configuration for the given document.

### Description

Run a shiny application asking for parameter configuration for the given document.

### Usage

    knit_params_ask(file = NULL, input_lines = NULL, params = NULL,
      shiny_args = NULL, save_caption = "Save",
      encoding = getOption("encoding"))

### Arguments

`file` | Path to the R Markdown document with configurable parameters.
`input_lines` | Content of the R Markdown document. If `NULL`, the contents of `file` will be read.
`params` | A named list of optional parameter overrides used in place of the document defaults.
`shiny_args` | Additional arguments to `runApp`.
`save_caption` | Caption to use use for button that saves/confirms parameters.
`encoding` | The encoding of the input file; see `file`.

### Value

named list with overridden parameter names and value.

[Package rmarkdown version 1.2 Index]